Jump to content

Archived

This topic is now archived and is closed to further replies.

$oolfly

Probleme installation drivers NVIDIA.

Recommended Posts

Ben j'ai essayer de le loader "hors de X" avec la commande "modprobe nvidia" mais ca me donne "nvidia module not found".

En ce qui concerne le kernel, il me met 1.6.8.1mdk ou quelque chose de ce genre avec la commande uname -r.

Comme je l'avai dit + haut, j'avai téléchargé les sources avec la commande approprié sans probleme.

Et quand je tente de re-charger ces source (on sait jamais) il me dit que tout est installé.

franchement, c'est gonflant de se taper tout ça pour installer un simple driver...

Share this post


Link to post
Share on other sites

salut

en faite il faut que ton kernel-source soit identique a ton noyau .

en faisant uname -a si tu as kernel-2.6.8.1-10mdk il faut que ton kernel-source soit

kernel-source-2.6.8.1-10mdk

tu as peut etre telecharger et installe les sources mais ce n est peut etre pas les bonnes que tu as et dans ce cas ca ne fonctionneras pas.

essaye urpmi kernel-source 2.6.8.1-1Omdk et vois ce qu il te dis mais avant desinstalle celui que tu as actuellement peu etre que ca viens de la

mais attend peutetre l avi des pros :keskidit:

voila bon courage

Share this post


Link to post
Share on other sites

regarde aussi si tu as bien le module nvidia dans la sortie de

modprobe -l

qui te liste tous les modules installés (pas forcement loadés). s'il n'y est pas, c'est qu'il manque un make install qqpart...

tu peux donner la sortie de ton /var/log/Xorg.log.0 (ou dans le genre :censored: ) (avec juste les partie où il y a des erreurs car c'est plutôt volumineux...)

Share this post


Link to post
Share on other sites

Bon, voila ce que ça donne.

Lorsque j'entre la valeur "nvidia" a la place de "nv" dans le xorg.conf, impossible de démarrer X le message est le suivant:

"failed to initialise the Nvidia kernel module"

aborting

unload module Nvidia

Idem dans le le var/log/Xorg.log ...

j'ai essayé modprobe -l , mais ca defile trop vite pour que je puisse lire (y a t'il une commande pour lire page par page? je ne l'ai pas trouvé) et j'y comprend pas grand chose. (bien sur hors de X vue que je ne peux pas le lancer).

Si je remet "nv", la j'accede a X (kde demarre), mais visiblement pas de support 3d (impossible de lancer tux racers ou chromium).

se peut il que ma mise a jour via Urpmi 10.1 official ait foiré quelque part et que ça me cause des problemes? (fichier incomplet ou manquant par exemple).

Share this post


Link to post
Share on other sites

pour pouvoir lire tranquillement utilise des redirections. par exemple

modprobe -l | less

redirige la sortie de modprobe vers l'entrée de less, et donc tu peux lire tranquillement.

plus fort:

modrpobe -l > fichier.txt

fait en sorte que la sortie standard de modprobe soit le fichier fichier.txt au lieu de l'écran, comme çça tu peux le lire au chaud plus loin

sinon, peut tu mettre +/- 10 autour de l'erreur du Xorg.log. Il semblerait que le module se charge, mais qu'il n'est pas compatible avec le systeme...

petit à petit, on y arrive :roll:

Share this post


Link to post
Share on other sites

Bon a tout hasard, j'ai lancé un URPMI de la version 1.10 official sur un autre serveur que précédement... on sait jamais.

Et merci pour les raccourcis clavier. Ca fait baucoup de trucs a apprendre en peu de temps. :-D

Share this post


Link to post
Share on other sites

Je regarderai ça demain :) la je fait une tite pause sinon je vais faire passer le PC par la fenetre :mdr:

Share this post


Link to post
Share on other sites

C'est relativement simple, comme l'on dit tous mes camarades, mais 33 posts pour installer nvidia, je peux plus, faut que j'intervienne la car ca devient un peu long comme thread.

:non: log en root. Je n'ai pas lu quelle est ta distrib, mais "su -" ou "su -l"

:-D Tu dois avoir les sources de ton noyau. tu peux récupérer la version de ton noyau avec :

uname -r

:8 Ensuite, comme l'a dit fred46, avec urpmi tu te débrouilles pour installer les sources de ce noyau, ce qui doit représenter une bonne 30aine de Mo compactés, et environ 200 une fois décompressé.

:fumer: Ensuite, Tu dois créer un lien /usr/src/linux qui pointent vers ces sources :

rm /usr/src/linux -f && ln -s /usr/src/<repertoire contenant les sources de ton noyau> /usr/src/linux

:love: Tu lances le script Nvidia : sh NVIDIA....sh

Tu réponds aux questions du monsieur... ( en anglais, mais bon, y a pas besoin de parler anglais pour faire de l'open source, right guys ? )

:-D Tu vérifie que tu as bien un module nommé nvidia :

modprobe -l |grep nvidia

:D Tu inseres ton module : modprobe nvidia

:byebye: tu modifies xorg.conf pour remplacer nv par nvidia, comme dit plus haut

:byebye: startx

:smack: Merci pcinpact, fin du topic le plus long sur l'install des drivers nvidia. Ca va faire de la concurence aux experiences malheureuses de beaucoup avec ATI ! :mdr:

Share this post


Link to post
Share on other sites

Bon, je vais suivre ça pas à pas et si ca marche pas, je saute avec le pc par la fenetre, c'est que vraiment je serait un gros boulet...

Share this post


Link to post
Share on other sites

Hum... juste une question, uname -r me donne kernel 2.6..8.1-10mdk, mais dans le dossier src j'ai ça, apres avoir fait un URPMI kernel-source pour recuperer les dites sources:

/linux (

/linux-2.4.27-0.pre2.1mdk (185.:transpi:

/linux-2.6.8.1-12mdk (184.6 mo)

/rpms

Mais, pas de 2.6.8.1-10mdk. Pourtant, quand j'essaye de refaire urpmi kernel-source, il me dit que tout est installé...

Je me demande si le fond du probleme vient pas de là...

Share this post


Link to post
Share on other sites

oui, les sources ne sont apparement pas les bonnes. Dans ce cas, vois pour installer un noyau 2.6.8.1-12mdk si tu as les sources. Et linux, c'est quoi ? Un lien ? Un répertoire ? Normallement, c'est un lien vers le repertoires contenant le ssources du noyau actuel.

Share this post


Link to post
Share on other sites

" /linux " , c'est un lien vers un repertoire...

Comment se fait il qu'il m'installe des sources differentes de celle que me donne la commande" uname -r " ? j'ai pourtant suivie les instruction a la lettre pour l'installe des sources.

C'est casse pied d'etre un noob dans un domaine... :reflechis:

Je vais essayer en mettant :

sh NVIDIA-Linux-86....-pkg1.run --kernel name:2.6.8.1.12mdk

on verra bien ce que ça donne.

Share this post


Link to post
Share on other sites

aïe.

C'était l'un des gros probleme de mdk à une époque et je pense que c'est toujours d'actualité.

Les sources et le noyau ne coïncident pas, c'est à dire que tu as un noyau 2.6.8.1-10mdk et des sources 2.6.8.1-12mdk, donc le script de nvidia t'envoie bouler.

Mais, si tu recompile ton noyau avec les sources de mandrake, tu auras un noyau 2.6.8.1-12mdk-custom (je crois) avec des sources toujours 2.6.8.1-12-mdk, d'où le même probleme.

j'avoue avoir tourné pendant des heures à certains moments face à ce probleme.

--> soit tu essayes de downgrader tes sources de kernel. (le plus mieux IMHO)

--> soit tu surcharge la dénomination de ton noyau dans le script de nvidia (porc, faut savoir ce que l'on fait)

--> soit tu te prends un kernel de kernel.org, et là c'est niquel (mais tu te recompile un kernel, sans profiter des optimisations de mandrake...)

essayes vraiment la soluce 1, à savoir qu'en dégageant les dernière source , les précédente restent peut-être. Ou alors, elle doivent sans doute exister quelque part sur le net.

Sinon, essayes de te recompiler un noyau avec tes sources mdk (2.6.8.1-12mdk) et de surcharger la réponse de uname...

:mad2:

Share this post


Link to post
Share on other sites

Merci Lorinc, d'un coté ton post me rassure sur l'intégrité de mes fonctions cognitive et ma santé mentale, mais, d'un autre coté, il ouvre de nouvelles interrogation, enfin plutot une, vue que tu préconise la solution un, a savoir downgrader les sources.

Etant un newby dans le domaine de linux, je n'ai pas envie de tout foutre en l'air en faisant n'importe quoi.

The question qui tue: "comment qu'on fait pour downgrader les source?", y a t'il une commande speciale? une procédure spécifique? :transpi: (je savais meme pas que c'tait possible :mad: )...

Share this post


Link to post
Share on other sites

ben si tu dégage la version des sources installée, et que tu regarde dans ce qui est installable du tree (pas de l'update), tu ne trouve pas la bonne version de sources??

En tout cas, si tu as le noyau de la version du CD (même sans le CD) les sources du CD doivent être les même (et donc trouvebles sur le net)

Share this post


Link to post
Share on other sites

Donc, si je comprend bien, j'efface le dossier /linux 2.8.6.1-12mdk et je cherche des sources 2.8.6.1-10mdk...

Bon ben c'est pas gagné... :byebye:

Share this post


Link to post
Share on other sites

NONNNNNNNNNNNNNNN!!!!!!!!!!!!!

rpmdrake, ça sert à rien, peut-être... si tu commence à effacer des logiciel à la main, alors qu'il sont toujours enregistrés dans la base de données qui tient à jour les rpm installés, c'est normal que ton systeme plante...

tu vire via rpm ces sources, et tu en installes via rpm des qui correspondent à ton noyau...

Share this post


Link to post
Share on other sites

arf les vieux reflexes windosiens ont la vie dure... heureusement que j'ai attendu une confirmation :byebye:

Je te rassure, jusqu'ici j'ai pas employé de methode de barbare avec Linux. C'est le premier vrai probleme que j'ai avec...

Share this post


Link to post
Share on other sites

Juste une info, il semble que je ne sois pas le seul a galérer sans solution avec les drivers 6111 de Nvidia. une rapide recherche sur google semble démontrer que pas mal de monde connait les même problemes avec ce jeu de drivers.

Tout ça pour dire qu'il existe une version plus recente les 6629 qui, d'apres ce que j'ai lu semble corriger le probleme.

Je n'ai pas trop le temps de tester ça ce soir, mais je vous tiens au courant.

Visiblement, ces drivers ne se trouve que sur Nvidia.com, pas le site francais de nvidia.

Je tenterai l'installe demain ou cette nuit. Quoi qu'il en soit, je remercie touts ceux qui m'ont apporté leur aide ici. :inpactitude2::cheat:

Share this post


Link to post
Share on other sites

Le probleme, c'est que l'installation des drivers Nvidia est le premier probleme rencontré par les newbies surtout, c'est pour cela qu'il genere beaucoup de questions...

Souvent, il manque les sources du noyau, c'est la principale cause. Un probleme de droit aussi parfois... Bref, pourtant ce n'est rien comparé aux drivers ATI !

J'ai utilisé les drivers nvidia depuis les 53.xx jusqu'aux derniers sans jamais rencontré aucun probleme, sur des noyaux allant du 2.4.18 aux derniers 2.6, ne baisse pas les bras, c'est tellement bien quand ca fonctionne, et je t"assures que tu seras fier de toi. Et dans 6 mois tu te diras putain ce que j'ai galéré pour un truc aussi simple... comme tout le monde !

Share this post


Link to post
Share on other sites

Je vois ce que tu veux dire :keskidit: ca m'est souvent arrivé depuis que je passe des heures les fesses rivées derriere un écran de me casser des heures la tete sur un truc pour finalement apres avoir pigé me dire "mais que je suis c**! c'etait tout bete..."

Mais bon, je quand meme tester les 6629 voir si ca passe mieux, on ne sait jamais?

Quoi qu'il en soit, cela aura quand meme été de toutes facons formateur, on apprend souvent plus de ses erreurs que de ses réussites.

Je vous tiendrai au courant de l'évolution du probleme.

Et je ferai un rapport complet si j'arrive a faire marcher le tout. On sais jamais.

:reflechis:

Share this post


Link to post
Share on other sites

CA MARCHE!!!!! YOUPIIIIIIII....

Bon voila pas a pas ce que j'ai fait.

Hier, suite au post de Lorinc et a la lecture d'un autre treadh sur HFR sur le meme sujet, j'ai cherché le kernel 2.6.8.1-12mdk, celui dont les sources s'installaient... alors que j'avais le normalement, d'apres la commande uname -r le 2.6.8.1-10mdk ...

J'ai donc en priorité chercher des sources avec RPMdrake pour ce dernier mais en vain... je me suis donc resolu a prendre le noyaux 2.6.8.1-12mdk.

A part rajouter deux lignes de choix dans LILO (2.6810 et 2612), je n'ai pas vraiment vue de difference.

Dans le meme temps, j'ai appris, tjrs sur le forum d'HFR, qu'il existait une version 6629 de drivers Nvidia qui était, d'apres certains plus stable.

J'ai donc telechargé ces drivers sur le site NIVDIA.COM (pas le site francais, qui ne propose que les 6111).

-Eteint X

-log en root

- CD /home/gronky/ (la ou j'avais stocké les divers)

- sh NVIDIA-Linux-x89-1.0-6111-pkg1.run (Ouuuupsss oui je viens de me rendre compte soudain, que j'ai finalement installé les 6111 ( flemme ---------> touche TAB

:mdr: ) enfin, je crois, marrant j'arrive plus a me souvenir)

- Accepter la licence OUI

-chercher precompiled module NON

- et hop ça a marché

modprobe -r rivafb

modprobe nvidia (plus de message d'erreur)

modif du Xorg.Conf

En remplacçant "nv" par "nvidia"

startx

et hop joli logo Nvidia

test impec avec Tuxracer ( heuuu on y joue avec quoi au fait? sourie? clavier? joy?)

et Chromium (très beau shoot...)

Voilaaaaa

Ouf ça a pris du temps, mais finalement les drivers sont intallé...

Merci du coup de main les gars.

Share this post


Link to post
Share on other sites

×
×
  • Create New...